#
# 	Loren Williams, Georgia Tech
# 	pymol script for ribonuclease_a

#-----------------------------------------------------------------------------
## Header: General Commands ##

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3
set cartoon_gap_cutoff, 0

## End of Header: General Commands ##
#----------------------------------------

load files/1kf4FH.pdb, ribonuclease
remove ribonuclease and alt B
remove resn hoh

create ribbon_ribonuclease, ribonuclease and chain A
hide everything, ribbon_ribonuclease
show cartoon, ribbon_ribonuclease
cartoon_fancy_helices, 0

create disulfides, resn cys and ribonuclease
show stick, disulfides

create Helix_A, resi 3-13 and chain A and ribonuclease
create Helix_B, resi 24-33 and chain A and ribonuclease
create Helix_C, resi 50-60 and chain A and ribonuclease

hide everything, Helix_*
show cartoon, Helix_*
set cartoon_cylindrical_helices,1, Helix_*
set cartoon_helix_radius, 1.5

label Helix_A and resi 10+12 and name CA, " A"
label Helix_B and resi 26+28 and name CA, " B"
label Helix_C and resi 50+60 and name CA, " C"

color wheat, name C*
color blue, name N*
color red, name O*

color cyan, ribbon_ribonuclease
color magenta, ss 'h' and ribbon_ribonuclease

color wheat, Helix_A
set label_color, wheat, Helix_A
color palegreen, Helix_B
set label_color, palegreen, Helix_B
color lightblue, Helix_C
set label_color, lightblue, Helix_C

set label_outline_color, black, Helix_*
set label_shadow_mode=2, Helix_*
set label_size, 30.0, Helix_*

create stick_ribonuclease, ribonuclease and chain A

hide everything, stick__ribonuclease
show stick, stick_ribonuclease
remove not (name N+O+CA+C+CB+H*) and stick_ribonuclease
remove name Hb*

dist hbond_NH_O, (name O and stick_ribonuclease), (name H and stick_ribonuclease), 2.4 
#mode=2

color black, hbond_NH_O
set label_size, -0.30, hbond_NH_O
set dash_width, 3.0
set dash_gap, 0.12
set label_position, (1.2,0,0), hbond_NH_O

#-------------------------------
delete ribonuclease
disable all
enable ribbon_ribonuclease
enable Helix_*
enable disulfides

set_view (\
    -0.542524517,    0.114676602,    0.832172811,\
     0.429277718,    0.889363408,    0.157307371,\
    -0.722066164,    0.442575783,   -0.531734109,\
     0.000000000,    0.000000000, -115.564018250,\
     9.019994736,   -0.022808075,   12.830015182,\
  -19699.835937500, 19930.964843750,  -20.000000000 )
### cut above here and paste into script ###